Announcement

Collapse
No announcement yet.

VMWare Server 2 installs older (insecure) Java Client

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • VMWare Server 2 installs older (insecure) Java Client

    Hi All,

    I notice that VMWare Server 2 installs an older (insecure) version of Java on Windows. Does anyone know the correct way of updating this Java version or is it simply a matter of uninstalling from C:\Program Files\VMware\VMware Server\jre and reinstalling an updated Java version in the same location?

    Thanks,
    Gitsie


    VMWare Server2 on Windows XP pro sp2

  • #2
    Re: VMWare Server 2 installs older (insecure) Java Client

    Not sure.

    Cross posted at http://communities.vmware.com/message/1107133#1107133

    We'll see what others have to say.

    Jas
    VCDX3 #34, VCDX4, VCDX5, VCAP4-DCA #14, VCAP4-DCD #35, VCAP5-DCD, VCPx4, vEXPERTx4, MCSEx3, MCSAx2, MCP, CCAx2, A+
    boche.net - VMware Virtualization Evangelist
    My advice has no warranties. Follow at your own risk.

    Comment


    • #3
      Re: VMWare Server 2 installs older (insecure) Java Client

      Found this "issue" after using the Secunia Personal Software Inspector (no link posted as don't want first post to look like a referal / pitch )

      Software suppliers embedding their own JAVA version is pretty common, and is a way of ensuring support uniformity, though it can expose us to risks.

      I expect if there is heavy use of the Secunia tool, the statistics may start to embarass some suppliers into improving their products to use newer versions more easily.

      To "secure" my VMWARE server 2.0 , I installed the latest JRE 6 in the default location (as JRE 5 is End Of Life), then copied this over the VMWARE version in the JRE folder (with services stopped). This is less than ideal, as it will have to be done for each upgrade, but to fix it properly would probaly break the VMWARE licence agreements. Normal disclaimers apply, your own risk, back up first, etc...

      Not seeing any issues so far.

      Comment


      • #4
        Re: VMWare Server 2 installs older (insecure) Java Client

        Hopefully you see no issues. I doubt VMware is going to support what you have done but I completely see where you are coming from and it is a nice effort on your part. Well done.

        Jas
        VCDX3 #34, VCDX4, VCDX5, VCAP4-DCA #14, VCAP4-DCD #35, VCAP5-DCD, VCPx4, vEXPERTx4, MCSEx3, MCSAx2, MCP, CCAx2, A+
        boche.net - VMware Virtualization Evangelist
        My advice has no warranties. Follow at your own risk.

        Comment


        • #5
          Re: VMWare Server 2 installs older (insecure) Java Client

          BTW, I just pinged VMware Server engineering again on this to get a statement from them. They will likely reply on the cross posted VMware thread so watch that one.

          Jas
          VCDX3 #34, VCDX4, VCDX5, VCAP4-DCA #14, VCAP4-DCD #35, VCAP5-DCD, VCPx4, vEXPERTx4, MCSEx3, MCSAx2, MCP, CCAx2, A+
          boche.net - VMware Virtualization Evangelist
          My advice has no warranties. Follow at your own risk.

          Comment

          Working...
          X